org.apache.lucene.facet.encoding

## Class SimpleIntEncoder

- java.lang.Object
- - org.apache.lucene.facet.encoding.IntEncoder
  - - org.apache.lucene.facet.encoding.SimpleIntEncoder

    public final class SimpleIntEncoder
    extends IntEncoder

A simple `IntEncoder`, writing an integer as 4 raw bytes. *

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleIntEncoder()`

### Method Summary

Methods
`IntDecoder` `createMatchingDecoder()` Returns an `IntDecoder` which can decode the values that were encoded with this encoder.
`void` `encode(IntsRef values, BytesRef buf)` Encodes the values to the given buffer.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleIntEncoder

    public SimpleIntEncoder()

### Method Detail

#### encode

    public void encode(IntsRef values,
              BytesRef buf)

Description copied from class: `IntEncoder`
Encodes the values to the given buffer. Note that the buffer's offset and length are set to 0.

Specified by:
  `encode` in class `IntEncoder`

#### createMatchingDecoder

    public IntDecoder createMatchingDecoder()

Description copied from class: `IntEncoder`
Returns an `IntDecoder` which can decode the values that were encoded with this encoder.

Specified by:
  `createMatchingDecoder` in class `IntEncoder`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`